Subject: Re: [RFC PATCH net-next v2 02/17] net: mdio: ipq8064: switch to write/readl function

From: Andrew Lunn <[email-masked]>
Date: Mon, 3 May 2021 16:44:58 +0200

On Mon, May 03, 2021 at 04:24:15PM +0200, Ansuel Smith wrote:
> On Mon, May 03, 2021 at 02:49:34PM +0200, Andrew Lunn wrote:
> > On Mon, May 03, 2021 at 01:06:54AM +0200, Ansuel Smith wrote:
> > > Use readl/writel function instead of regmap function to make sure no
> > > value is cached and align to other similar mdio driver.
> > 
> > regmap is O.K. to use, so long as you tell it not to cache. Look at
> > how to use volatile in regmap.
> > 
> > You might be able to follow what lan9303_mdio.c is doing.
> > 
> >     Andrew
> 
> Was thinking more about the overhead of using regmap instead of plain
> writel. Or is it minimal?

It is likely other parts of the system are using regmap. So it will
not be adding much overhead.

    Andrew